Comment 7 for bug 215036

Revision history for this message
Mario Limonciello (superm1) wrote :

This is the diff to mythtv-theme-mythbuntu:

=== modified file 'debian/changelog'
--- debian/changelog 2008-04-10 03:54:18 +0000
+++ debian/changelog 2008-04-12 18:03:04 +0000
@@ -1,3 +1,15 @@
+mythtv-theme-mythbuntu (0.20080412) hardy; urgency=low
+
+ * Ship the Mythbuntu 8.04 theme in the Mythbuntu-8.04 directory.
+ People will have to manually set the theme to Mythbuntu-8.04
+ on upgrades so as to prevent crashes from a cache that doesn't
+ match the theme. (LP: #215036) and a few duplicates.
+ * debian/post{inst,rm}:
+ - Try to make a symlink to the Mythbuntu directory if we are
+ upgrading from 7.10 to 8.04.
+
+ -- Mario Limonciello <email address hidden> Sat, 12 Apr 2008 11:59:17 -0500
+
 mythtv-theme-mythbuntu (0.20080409) hardy; urgency=low

   * Move old theme to Mythbuntu-7.10 to make room

=== added file 'debian/postinst'
--- debian/postinst 1970-01-01 00:00:00 +0000
+++ debian/postinst 2008-04-12 17:58:02 +0000
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+. /usr/share/debconf/confmodule
+
+set -e
+
+case "$1" in
+ configure)
+ if dpkg --compare-versions "${2}" le-nl "0.20080412"
+ then
+ ln -s /usr/share/mythtv/themes/Mythbuntu-7.10 /usr/share/mythtv/themes/Mythbuntu
+ fi
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0

=== added file 'debian/postrm'
--- debian/postrm 1970-01-01 00:00:00 +0000
+++ debian/postrm 2008-04-12 18:02:32 +0000
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ purge|remove|failed-upgrade|abort-install|abort-upgrade|disappear)
+ if [ -L /usr/share/mythtv/themes/Mythbuntu ]
+ then
+ rm -f /usr/share/mythtv/themes/Mythbuntu
+ fi
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+

=== renamed directory 'usr/share/mythtv/themes/Mythbuntu' => 'usr/share/mythtv/themes/Mythbuntu-8.04'
=== renamed directory 'usr/share/mythtv/themes/Mythbuntu-wide' => 'usr/share/mythtv/themes/Mythbuntu-8.04-wide'